public static interface StubEndpointBuilderFactory.StubBuilders
| Modifier and Type | Method and Description |
|---|---|
default StubEndpointBuilderFactory.StubEndpointBuilder |
stub(String path)
Stub (camel-stub)
Stub out any physical endpoints while in development or testing.
|
default StubEndpointBuilderFactory.StubEndpointBuilder |
stub(String componentName,
String path)
Stub (camel-stub)
Stub out any physical endpoints while in development or testing.
|
default StubEndpointBuilderFactory.StubEndpointBuilder stub(String path)
stub:name
Path parameter: name (required)
Name of queuepath - namedefault StubEndpointBuilderFactory.StubEndpointBuilder stub(String componentName, String path)
stub:name
Path parameter: name (required)
Name of queuecomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel